﻿@model SSCMvc.Models.MaEnqFollow
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@{
    ViewBag.Title = "Enquiry Followup";
    Layout = "~/Views/Shared/_Layout.cshtml";
    string etype = ViewBag.Etype;
    SSCWebDBEntities1 db = new SSCWebDBEntities1();
    MaEnquiry enq = db.MaEnquiries.Find(ViewBag.rollno);
}
@section scripts
{
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <style>
        .error { color: red; }
        input[type=number]::-webkit-inner-spin-button,
        input[type=number]::-webkit-outer-spin-button { -webkit-appearance: none; -moz-appearance: none; appearance: none; margin: 0; }
    </style>

    @Content.Script("PreventDouble.js", Url)

    <style type="text/css">
        div.box div.overlay { display: none; }
    </style>

    <script type="text/javascript">
        $(document).ready(function () {


            $(function () {
                $(".box").hover(function () {
                    $(this).find(".overlay").fadeIn();
                }
                                , function () {
                                    $(this).find(".overlay").fadeOut();
                                }
                               );
            });
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function () {

            $("#NextDate").datepicker(
             { minDate: 1 }
                 );
            $('input[type="date"]').attr('placeholder', 'mm/dd/yyyy');
            $('input[type="date"]').prop('type', 'text');
            $("#NextDate").val($("#hdnnextdate").val());
            $('#Remarks').autocomplete({ source: '/MaEnqFollow/AutoCompleteCity' });
            $('#Remarks').css('height', '100');
            $('#Remarks').css('width', '300');
            $("#Etype").val('@etype');

        });
    </script>
}

@using (Html.BeginForm("Create", "MaEnqFollow", FormMethod.Post, new { @id = "enqform", @enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary(true)
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Create Enquiry Followup
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>

    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" id="btnsubmit" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <table style="width: 100%" align="center">
                <tr>
                    <td align="center">
                        All (<span class="color_style">*</span>) marked fields are compulsory
                    </td>
                </tr>
            </table>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <table cellpadding="4" cellspacing="4">
                            <tr>
                                <td valign="top">
                                    <table cellpadding="1" class="table">
                                        <tr>
                                            <td class="editor-label">
                                                <b>Enquiry By:</b>
                                            </td>
                                            <td class="editor-field">
                                                @ViewBag.Username
                                            </td>
                                            <td class="editor-field"></td>
                                        </tr>
                                        <tr>
                                            <td class="editor-label">
                                                @Html.LabelFor(model => model.Remarks)
                                            </td>
                                            <td class="editor-field">
                                                @Html.EditorFor(model => model.Remarks, new { htmlAttributes = new { @required = true } })
                                            </td>
                                            <td class="editor-field">
                                                @Html.ValidationMessageFor(model => model.Remarks)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="editor-label">
                                                @Html.LabelFor(model => model.NextDate)
                                            </td>
                                            <td class="editor-field">
                                                @{
                                                    DateTime nextdate = CommonUtil.IndianTime();
                                                    string nxtdate = nextdate.ToShortDateString();

                                                }
                                                @Html.EditorFor(model => model.NextDate, new { htmlAttributes = new { @required = true } })
                                                @Html.Hidden("hdnnextdate", nxtdate)
                                            </td>
                                            <td class="editor-field">
                                                @Html.ValidationMessageFor(model => model.NextDate)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Enquiry Status
                                            </td>
                                            <td>
                                                @{
                                                    var listenq = new List<ListItem>();
                                                    listenq.Add(new ListItem { Text = "Open", Value = "Open" });
                                                    listenq.Add(new ListItem { Text = "Close", Value = "Close" });
                                                    listenq.Add(new ListItem { Text = "Registered", Value = "Registered" });

                                                }
                                                @Html.DropDownListFor(model => model.Enqstatus, new SelectList(listenq), new { htmlAttributes = new { @required = true } })
                                                @Html.ValidationMessageFor(model => model.Enqstatus)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Enquiry Type
                                            </td>
                                            <td>
                                                @{
                                                    var listtype = new List<ListItem>();
                                                    listtype.Add(new ListItem { Text = "COLD", Value = "COLD" });
                                                    listtype.Add(new ListItem { Text = "HOT", Value = "HOT" });

                                                }


                                                <select id="EngType" name="EnqType">

                                                    @if (etype == "HOT")
                                                    {
                                                        <option value="COLD">COLD</option>
                                                        <option value="HOT" selected>HOT</option>
                                                    }
                                                    else
                                                    {
                                                        <option value="COLD" selected>COLD</option>
                                                        <option value="HOT">HOT</option>
                                                    }
                                                </select>


                                            </td>
                                        <tr>
                                            <td>
                                                Close Reason
                                            </td>
                                            <td>
                                                @Html.DropDownList("CloseReason", "Select")
                                            </td>

                                        </tr>
                                        </tr>
                                    </table>
                                </td>
                                <td valign="top" width="30%">
                                    <table cellpadding="4" class="table table-bordered table-responsive">
                                        <tr>
                                            <td>
                                                <b>Name :</b>
                                            </td>
                                            <td>
                                               @enq.FirstName @enq.LastName
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Enq No :</b>
                                            </td>
                                            <td>
                                                <a href="/maenquiry/edit/@ViewBag.rollno" target="_blank">@ViewBag.rollno</a> 
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Mobile Numbers</b>
                                            </td>
                                            <td>@enq.Mobile @enq.AlternateNo</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Country Intrested</b>
                                            </td>
                                            <td>@enq.CountryInterested</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>City Pref</b>
                                            </td>
                                            <td>@enq.CityPreference</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <b>Test Date</b>
                                            </td>
                                            <td>@enq.DateOfExam</td>
                                        </tr>
                                        <tr>
                                            <td align="left" valign="top">
                                                <table class="table table-responsive">
                                                    <thead>
                                                        <tr>
                                                            <th>L</th>
                                                            <th>R</th>
                                                            <th>W</th>
                                                            <th>S</th>
                                                            <th>Overall</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>@enq.IELTSExmLearn</td>
                                                            <td>@enq.IELTSExmRead</td>
                                                            <td>@enq.IELTSExmWrit</td>
                                                            <td>@enq.IELTSExmSpkn</td>
                                                            <td>@enq.IELTSExmOverall</td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                    <br />
                                    @{
                                        int eid = Convert.ToInt32(ViewBag.Enqid);

                                    }


                                </td>
                                <td valign="top">
                                    @Html.Action("_EnqEduDetail", "MaEnquiry", new { @id = eid })
                                </td>
                            </tr>
                        </table>

                        <div id="update-messageStatus">

                        </div>

                        @{
                            int id = (int)Model.ReferId;
                            string ftype = Model.FollowUpType;
                            @Html.HiddenFor(model => model.ReferId)
                            @Html.HiddenFor(model => model.FollowUpType)
                            @Html.Action("_Index", new { @id = id, @reftype = Model.FollowUpType })
                        }

                    </div>
                </div>
            </div>
        </div>
    </div>
                            }